Redmine - Feature #3129

Previews should include status changes
2009-04-06 19:08 - Colan Schwartz

Status: Closed Start date: 2009-04-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

When clicking on "Preview" while updating an issue, comments are previewed, but not state changes. It would be better if state
changes were displayed as well.

For example, if | change the status from New to Resolved and the Priority from Normal to Urgent, | should see something like this
when | click on Preview:

e Status changed from Newto Resolved
e Priority changed from Normalto Urgent

History

#1 - 2013-03-18 13:06 - Dipan Mehta

+1. Also, | need to add more item to it. We use quite a few "Long text" type fields with textile formatting enable. Unfortunately preview doesn't show
any of this. Personally, | actually type this first in note then copy paste it there! very ugly if | am modifying an already evolved issue.

Ideally, preview should be pretty much a full preview display allowing to full view of things.
#2 - 2013-03-18 13:36 - Daniel Felix
- Target version set to 2.4.0

Yes | would agree that this should be displayed in the preview too.

| set this as a candidate for 2.4, to get a rough plan of things.
Maybe | can get into it and provide a patch myself.

#3 - 2013-10-13 10:02 - Jean-Philippe Lang

- Target version changed from 2.4.0 to Candidate for next major release

2.4 feature freeze

#4 - 2019-02-13 10:16 - Go MAEDA
- Status changed from New to Closed
- Target version deleted (Candidate for next major release)

- Resolution set to Wont fix

In Redmine 4.0.0, preview link was removed and the description field has its own preview tab (see #27758). Because of that, showing status changes
in the preview will be an awkward interface.
